Bug 1172130 - Disks may remain in status LOCKED instead of ILLEGAL
Summary: Disks may remain in status LOCKED instead of ILLEGAL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-12-09 13:05 UTC by Liron Aravot
Modified: 2016-02-10 16:55 UTC (History)
11 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 19:09:46 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 36017 master MERGED core: prevent disks from remaining in locked status Never
oVirt gerrit 36020 ovirt-engine-3.5 MERGED core: prevent disks from remaining in locked status Never

Description Liron Aravot 2014-12-09 13:05:57 UTC
Description of problem:
When disk is created, if it's not created successfully we could either mark it as ILLEGAL or to remove the created disk.
In the OVF stores creation scenario, the disks that fail to be created should be left in ILLEGAL status, currently they remain LOCKED instead.

How reproducible:
Always

Steps to Reproduce:
1. Create a NFS Storage Domain and attach it to a datacenter (without acitivating it)
2. prevent access to it's images dir (mv it)
3. activate it
4. Wait for OvfDataUpdater to run (you can modify the wait time through the OvfUpdateIntervalInMinutes config value)
.

Actual results:
ovf stores creation on that domain will fail, disks will remain locked

Expected results:
disks should remain in illegal status.

Additional info:

Comment 1 Elad 2014-12-16 14:38:05 UTC
OVF_STORE disks, created for a domain which cannot be reached during their creation, remain in status Illegal.

 imagestatus |  disk_description   
-------------+---------------------
             | Hosted Engine Image
           1 | OVF_STORE
           1 | OVF_STORE
           1 | OVF_STORE
           1 | OVF_STORE
           1 | 
           1 | OVF_STORE
           1 | OVF_STORE
           1 | 
           1 | 
           1 | 
           4 | OVF_STORE
           4 | OVF_STORE

Verified using rhev 3.5 vt13.3
rhevm-3.5.0-0.25.el6ev.noarch

Comment 2 Allon Mureinik 2015-02-16 19:09:46 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.